Security Enhanced Linux Reference Policy

# Layer: admin

## Module: consoletype

Interfaces

### Description:

Determine of the console connected to the controlling terminal.

### Interfaces:

consoletype_domtrans( domain )

##### Summary

Execute consoletype in the consoletype domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

consoletype_exec( domain )

##### Summary

Execute consoletype in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

consoletype_run( domain , role )

##### Summary

Execute consoletype in the consoletype domain, and allow the specified role the consoletype domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.
role | The role to be allowed the consoletype domain.

Return